View Issue Details

IDProjectCategoryView StatusLast Update
0000503luatexluatex bugpublic2010-12-13 14:43
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.70.0Fixed in Version0.65.0 
Summary0000503: something is fishy with scan_keyword
DescriptionThe plain file below generates an error. Using filll or adding a space fixes the error
Steps To ReproduceHello, \halign {#\crcr \vbox{\vskip 0pt plus 1fill}\crcr}!
\bye
TagsNo tags attached.

Activities

Taco

2010-11-28 14:55

administrator   ~0000686

Fixed by commit 3999

Taco

2010-12-08 21:06

administrator   ~0000709

From Hartmut:

But when running lualatex on my document, i get a fatal error:

  ! Emergency stop.
  <recently read> \endtemplate

which has to do with alignment. The log file tells a bit more:

  (interwoven alignment preambles are not allowed)

(why don't those messages appear also on the terminal?)

This is actually the error message from line 613 in file align.w (i had
added different flags to these message line which appears at 5 places in
the luatex sources). A reduced crash example is the following:

  \documentclass{article}
  \begin{document}
  \begin{tabular}{l}
  a \\[12pt] % works without "[12pt]"
  \end{tabular}
  \end{document}

This runs perfectly with pdflatex. When i remove "[12pt]", it also runs
with lualatex. i couldn't make up a plain example yet, maybe you already
have some idea what's going wrong...

Taco

2010-12-11 10:43

administrator   ~0000710

Should be fixed (again) by commit 4032

Issue History

Date Modified Username Field Change
2010-10-19 11:31 Taco New Issue
2010-10-19 11:31 Taco Status new => assigned
2010-10-19 11:31 Taco Assigned To => Taco
2010-11-28 14:55 Taco Note Added: 0000686
2010-11-28 14:55 Taco Status assigned => resolved
2010-11-28 14:55 Taco Resolution open => fixed
2010-12-08 21:06 Taco Note Added: 0000709
2010-12-08 21:06 Taco Status resolved => assigned
2010-12-11 10:43 Taco Note Added: 0000710
2010-12-11 10:43 Taco Status assigned => feedback
2010-12-13 14:10 Taco Status feedback => resolved
2010-12-13 14:43 Taco Fixed in Version => 0.65.0
2010-12-13 14:43 Taco Status resolved => closed